diff --git a/src/core/execute.c b/src/core/execute.c
index 5e1a74d0bc..a8b6c92873 100644
--- a/src/core/execute.c
+++ b/src/core/execute.c
@@ -2202,7 +2202,7 @@ static int setup_exec_directory(
                 }
 
                 /* Lock down the access mode (we use chmod_and_chown() to make this idempotent. We don't
-                 * specifiy UID/GID here, so that path_chown_recursive() can optimize things depending on the
+                 * specify UID/GID here, so that path_chown_recursive() can optimize things depending on the
                  * current UID/GID ownership.) */
                 r = chmod_and_chown(pp ?: p, context->directories[type].mode, UID_INVALID, GID_INVALID);
                 if (r < 0)
@@ -2487,7 +2487,7 @@ static int apply_mount_namespace(
         bind_mount_free_many(bind_mounts, n_bind_mounts);
 
         /* If we couldn't set up the namespace this is probably due to a missing capability. setup_namespace() reports
-         * that with a special, recognizable error ENOANO. In this case, silently proceeed, but only if exclusively
+         * that with a special, recognizable error ENOANO. In this case, silently proceed, but only if exclusively
          * sandboxing options were used, i.e. nothing such as RootDirectory= or BindMount= that would result in a
          * completely different execution environment. */
         if (r == -ENOANO) {
diff --git a/src/core/job.h b/src/core/job.h
index 1b9bcdd895..0f15cbf821 100644
--- a/src/core/job.h
+++ b/src/core/job.h
@@ -72,7 +72,7 @@ enum JobMode {
         JOB_REPLACE,             /* Replace an existing conflicting job */
         JOB_REPLACE_IRREVERSIBLY,/* Like JOB_REPLACE + produce irreversible jobs */
         JOB_ISOLATE,             /* Start a unit, and stop all others */
-        JOB_FLUSH,               /* Flush out all other queued jobs when queing this one */
+        JOB_FLUSH,               /* Flush out all other queued jobs when queueing this one */
         JOB_IGNORE_DEPENDENCIES, /* Ignore both requirement and ordering dependencies */
         JOB_IGNORE_REQUIREMENTS, /* Ignore requirement dependencies */
         _JOB_MODE_MAX,
diff --git a/src/core/main.c b/src/core/main.c
index 46db47126c..984382e7ac 100644
--- a/src/core/main.c
+++ b/src/core/main.c
@@ -1781,7 +1781,7 @@ static void do_reexecute(
         args[i++] = NULL;
         assert(i <= args_size);
 
-        /* Reenable any blocked signals, especially important if we switch from initial ramdisk to init=... */
+        /* Re-enable any blocked signals, especially important if we switch from initial ramdisk to init=... */
         (void) reset_all_signal_handlers();
         (void) reset_signal_mask();
         (void) rlimit_nofile_safe();
@@ -2020,7 +2020,7 @@ static int initialize_runtime(
                 return 0;
 
         if (arg_system) {
-                /* Make sure we leave a core dump without panicing the kernel. */
+                /* Make sure we leave a core dump without panicking the kernel. */
                 install_crash_handler();
 
                 if (!skip_setup) {
diff --git a/src/core/manager.c b/src/core/manager.c
index 12ae911a38..f1d6487cb8 100644
--- a/src/core/manager.c
+++ b/src/core/manager.c
@@ -90,7 +90,7 @@
 #define JOBS_IN_PROGRESS_PERIOD_USEC (USEC_PER_SEC / 3)
 #define JOBS_IN_PROGRESS_PERIOD_DIVISOR 3
 
-/* If there are more than 1K bus messages queue across our API and direct busses, then let's not add more on top until
+/* If there are more than 1K bus messages queue across our API and direct buses, then let's not add more on top until
  * the queue gets more empty. */
 #define MANAGER_BUS_BUSY_THRESHOLD 1024LU
 
@@ -1051,7 +1051,7 @@ static int manager_setup_user_lookup_fd(Manager *m) {
                  * resolutions */
                 r = sd_event_source_set_priority(m->user_lookup_event_source, SD_EVENT_PRIORITY_NORMAL-11);
                 if (r < 0)
-                        return log_error_errno(errno, "Failed to set priority ot user lookup event source: %m");
+                        return log_error_errno(errno, "Failed to set priority of user lookup event source: %m");
 
                 (void) sd_event_source_set_description(m->user_lookup_event_source, "user-lookup");
         }
@@ -1659,7 +1659,7 @@ int manager_startup(Manager *m, FILE *serialization, FDSet *fds) {
 
         r = lookup_paths_reduce(&m->lookup_paths);
         if (r < 0)
-                log_warning_errno(r, "Failed ot reduce unit file paths, ignoring: %m");
+                log_warning_errno(r, "Failed to reduce unit file paths, ignoring: %m");
 
         manager_build_unit_path_cache(m);
 
@@ -1709,7 +1709,7 @@ int manager_startup(Manager *m, FILE *serialization, FDSet *fds) {
                 /* Connect to the bus if we are good for it */
                 manager_setup_bus(m);
 
-                /* Now that we are connected to all possible busses, let's deserialize who is tracking us. */
+                /* Now that we are connected to all possible buses, let's deserialize who is tracking us. */
                 r = bus_track_coldplug(m, &m->subscribed, false, m->deserialized_subscribed);
                 if (r < 0)
                         log_warning_errno(r, "Failed to deserialized tracked clients, ignoring: %m");
@@ -2197,8 +2197,8 @@ static unsigned manager_dispatch_dbus_queue(Manager *m) {
                  * overly full before this call we shouldn't increase it in size too wildly in one step, and we
                  * shouldn't monopolize CPU time with generating these messages. Note the difference in counting of
                  * this "budget" and the "threshold" above: the "budget" is decreased only once per generated message,
-                 * regardless how many busses/direct connections it is enqueued on, while the "threshold" is applied to
-                 * each queued instance of bus message, i.e. if the same message is enqueued to five busses/direct
+                 * regardless how many buses/direct connections it is enqueued on, while the "threshold" is applied to
+                 * each queued instance of bus message, i.e. if the same message is enqueued to five buses/direct
                  * connections it will be counted five times. This difference in counting ("references"
                  * vs. "instances") is primarily a result of the fact that it's easier to implement it this way,
                  * however it also reflects the thinking that the "threshold" should put a limit on used queue memory,
@@ -2513,7 +2513,7 @@ static int manager_dispatch_sigchld(sd_event_source *source, void *userdata) {
                 if (array) {
                         size_t n = 0;
 
-                        /* Cound how many entries the array has */
+                        /* Count how many entries the array has */
                         while (array[n])
                                 n++;
 
@@ -3550,7 +3550,7 @@ int manager_reload(Manager *m) {
 
         r = lookup_paths_reduce(&m->lookup_paths);
         if (r < 0)
-                log_warning_errno(r, "Failed ot reduce unit file paths, ignoring: %m");
+                log_warning_errno(r, "Failed to reduce unit file paths, ignoring: %m");
 
         manager_build_unit_path_cache(m);
 
diff --git a/src/core/socket.c b/src/core/socket.c
index 836e513d49..b6a4290c3f 100644
--- a/src/core/socket.c
+++ b/src/core/socket.c
@@ -1868,7 +1868,7 @@ static int socket_coldplug(Unit *u) {
                    SOCKET_RUNNING)) {
 
                 /* Originally, we used to simply reopen all sockets here that we didn't have file descriptors
-                 * for. However, this is problematic, as we won't traverse throught the SOCKET_START_CHOWN state for
+                 * for. However, this is problematic, as we won't traverse through the SOCKET_START_CHOWN state for
                  * them, and thus the UID/GID wouldn't be right. Hence, instead simply check if we have all fds open,
                  * and if there's a mismatch, warn loudly. */
 
@@ -2873,7 +2873,7 @@ static int socket_accept_in_cgroup(Socket *s, SocketPort *p, int fd) {
         assert(p);
         assert(fd >= 0);
 
-        /* Similar to socket_address_listen_in_cgroup(), but for accept() rathern than socket(): make sure that any
+        /* Similar to socket_address_listen_in_cgroup(), but for accept() rather than socket(): make sure that any
          * connection socket is also properly associated with the cgroup. */
 
         if (!IN_SET(p->address.sockaddr.sa.sa_family, AF_INET, AF_INET6))
diff --git a/src/core/unit.c b/src/core/unit.c
index 2cde494a7e..6b4212f5e1 100644
--- a/src/core/unit.c
+++ b/src/core/unit.c
@@ -804,7 +804,7 @@ static void merge_dependencies(Unit *u, Unit *other, const char *other_id, UnitD
         assert(other);
         assert(d < _UNIT_DEPENDENCY_MAX);
 
-        /* Fix backwards pointers. Let's iterate through all dependendent units of the other unit. */
+        /* Fix backwards pointers. Let's iterate through all dependent units of the other unit. */
         HASHMAP_FOREACH_KEY(v, back, other->dependencies[d], i) {
                 UnitDependency k;
 
@@ -5020,7 +5020,7 @@ int unit_set_exec_params(Unit *u, ExecParameters *p) {
         p->prefix = u->manager->prefix;
         SET_FLAG(p->flags, EXEC_PASS_LOG_UNIT|EXEC_CHOWN_DIRECTORIES, MANAGER_IS_SYSTEM(u->manager));
 
-        /* Copy paramaters from unit */
+        /* Copy parameters from unit */
         p->cgroup_path = u->cgroup_path;
         SET_FLAG(p->flags, EXEC_CGROUP_DELEGATE, unit_cgroup_delegate(u));
 
diff --git a/src/core/unit.h b/src/core/unit.h
index 28878b5f4f..c2aa1e01bd 100644
--- a/src/core/unit.h
+++ b/src/core/unit.h
@@ -51,7 +51,7 @@ static inline bool UNIT_IS_INACTIVE_OR_FAILED(UnitActiveState t) {
  * use this so that we can selectively flush out parts of dependencies again. Note that the same dependency might be
  * created as a result of multiple "reasons", hence the bitmask. */
 typedef enum UnitDependencyMask {
-        /* Configured directly by the unit file, .wants/.requries symlink or drop-in, or as an immediate result of a
+        /* Configured directly by the unit file, .wants/.requires symlink or drop-in, or as an immediate result of a
          * non-dependency option configured that way.  */
         UNIT_DEPENDENCY_FILE               = 1 << 0,
 
@@ -250,7 +250,7 @@ typedef struct Unit {
         char *cgroup_path;
         CGroupMask cgroup_realized_mask;           /* In which hierarchies does this unit's cgroup exist? (only relevant on cgroup v1) */
         CGroupMask cgroup_enabled_mask;            /* Which controllers are enabled (or more correctly: enabled for the children) for this unit's cgroup? (only relevant on cgroup v2) */
-        CGroupMask cgroup_invalidated_mask;        /* A mask specifiying controllers which shall be considered invalidated, and require re-realization */
+        CGroupMask cgroup_invalidated_mask;        /* A mask specifying controllers which shall be considered invalidated, and require re-realization */
         CGroupMask cgroup_members_mask;            /* A cache for the controllers required by all children of this cgroup (only relevant for slice units) */
         int cgroup_inotify_wd;
 
diff --git a/src/coredump/coredump.c b/src/coredump/coredump.c
index 023701646b..716732001f 100644
--- a/src/coredump/coredump.c
+++ b/src/coredump/coredump.c
@@ -768,7 +768,7 @@ static int submit_coredump(
                 return log_error_errno(r, "Failed to drop privileges: %m");
 
 #if HAVE_ELFUTILS
-        /* Try to get a strack trace if we can */
+        /* Try to get a stack trace if we can */
         if (coredump_size <= arg_process_size_max) {
                 _cleanup_free_ char *stacktrace = NULL;
 
diff --git a/src/coredump/coredumpctl.c b/src/coredump/coredumpctl.c
index b239d81945..70507d284b 100644
--- a/src/coredump/coredumpctl.c
+++ b/src/coredump/coredumpctl.c
@@ -321,7 +321,7 @@ static int print_field(FILE* file, sd_journal *j) {
         assert(arg_field);
 
         /* A (user-specified) field may appear more than once for a given entry.
-         * We will print all of the occurences.
+         * We will print all of the occurrences.
          * This is different below for fields that systemd-coredump uses,
          * because they cannot meaningfully appear more than once.
          */
@@ -790,7 +790,7 @@ static int save_core(sd_journal *j, FILE *file, char **path, bool *unlink_temp)
                 /* If neither path or file are specified, we will write to stdout. Let's now check
                  * if stdout is connected to a tty. We checked that the file exists, or that the
                  * core might be stored in the journal. In this second case, if we found the entry,
-                 * in all likelyhood we will be able to access the COREDUMP= field.  In either case,
+                 * in all likelihood we will be able to access the COREDUMP= field.  In either case,
                  * we stop before doing any "real" work, i.e. before starting decompression or
                  * reading from the file or creating temporary files.
                  */
diff --git a/src/import/curl-util.c b/src/import/curl-util.c
index cd6822f8db..83671cf99b 100644
--- a/src/import/curl-util.c
+++ b/src/import/curl-util.c
@@ -367,7 +367,7 @@ int curl_header_strdup(const void *contents, size_t sz, const char *field, char
         if (memchr(p, 0, sz))
                 return 0;
 
-        /* Skip over preceeding whitespace */
+        /* Skip over preceding whitespace */
         while (sz > 0 && strchr(WHITESPACE, p[0])) {
                 p++;
                 sz--;
diff --git a/src/import/pull-common.c b/src/import/pull-common.c
index acfe380969..766b97cb0c 100644
--- a/src/import/pull-common.c
+++ b/src/import/pull-common.c
@@ -436,7 +436,7 @@ int pull_verify(PullJob *main_job,
         }
 
         if (!mkdtemp(gpg_home)) {
-                r = log_error_errno(errno, "Failed to create tempory home for gpg: %m");
+                r = log_error_errno(errno, "Failed to create temporary home for gpg: %m");
                 goto finish;
         }
 
diff --git a/src/journal-remote/microhttpd-util.h b/src/journal-remote/microhttpd-util.h
index ba51d847e4..d90c6bbd4f 100644
--- a/src/journal-remote/microhttpd-util.h
+++ b/src/journal-remote/microhttpd-util.h
@@ -33,7 +33,7 @@
 
 /* Both the old and new names are defines, check for the new one. */
 
-/* Compatiblity with libmicrohttpd < 0.9.38 */
+/* Compatibility with libmicrohttpd < 0.9.38 */
 #ifndef MHD_HTTP_NOT_ACCEPTABLE
 #  define MHD_HTTP_NOT_ACCEPTABLE MHD_HTTP_METHOD_NOT_ACCEPTABLE
 #endif
diff --git a/src/journal/cat.c b/src/journal/cat.c
index 9900bd2e86..d8d72690d7 100644
--- a/src/journal/cat.c
+++ b/src/journal/cat.c
@@ -146,7 +146,7 @@ static int run(int argc, char *argv[]) {
 
         saved_stderr = fcntl(STDERR_FILENO, F_DUPFD_CLOEXEC, 3);
 
-        r = rearrange_stdio(STDIN_FILENO, outfd, errfd < 0 ? outfd : errfd); /* Invalidates fd on succcess + error! */
+        r = rearrange_stdio(STDIN_FILENO, outfd, errfd < 0 ? outfd : errfd); /* Invalidates fd on success + error! */
         TAKE_FD(outfd);
         TAKE_FD(errfd);
         if (r < 0)
diff --git a/src/journal/journalctl.c b/src/journal/journalctl.c
index 00489098ee..62110495b3 100644
--- a/src/journal/journalctl.c
+++ b/src/journal/journalctl.c
@@ -1263,7 +1263,7 @@ static int get_boots(
                         goto finish;
                 }
 
-                /* At this point the read pointer is positioned at the oldest/newest occurence of the reference boot
+                /* At this point the read pointer is positioned at the oldest/newest occurrence of the reference boot
                  * ID. After flushing the matches, one more invocation of _previous()/_next() will hence place us at
                  * the following entry, which must then have an older/newer boot ID */
         } else {
@@ -2427,7 +2427,7 @@ int main(int argc, char *argv[]) {
         if (arg_follow) {
                 poll_fd = sd_journal_get_fd(j);
                 if (poll_fd == -EMFILE) {
-                        log_warning_errno(poll_fd, "Insufficent watch descriptors available. Reverting to -n.");
+                        log_warning_errno(poll_fd, "Insufficient watch descriptors available. Reverting to -n.");
                         arg_follow = false;
                 } else if (poll_fd == -EMEDIUMTYPE) {
                         log_error_errno(poll_fd, "The --follow switch is not supported in conjunction with reading from STDIN.");
diff --git a/src/journal/journald-audit.c b/src/journal/journald-audit.c
index accbad4180..71d9282ed5 100644
--- a/src/journal/journald-audit.c
+++ b/src/journal/journald-audit.c
@@ -445,7 +445,7 @@ void server_process_audit_message(
         if (IN_SET(nl->nlmsg_type, NLMSG_NOOP, NLMSG_ERROR))
                 return;
 
-        /* Except AUDIT_USER, all messsages below AUDIT_FIRST_USER_MSG are control messages, let's ignore those */
+        /* Except AUDIT_USER, all messages below AUDIT_FIRST_USER_MSG are control messages, let's ignore those */
         if (nl->nlmsg_type < AUDIT_FIRST_USER_MSG && nl->nlmsg_type != AUDIT_USER)
                 return;
 
diff --git a/src/journal/journald-context.c b/src/journal/journald-context.c
index 7c51f2f633..e6aeb03b77 100644
--- a/src/journal/journald-context.c
+++ b/src/journal/journald-context.c
@@ -48,7 +48,7 @@
  *    previously had trouble associating the log message with the service.
  *
  * NB: With and without the metadata cache: the implicitly added entry metadata in the journal (with the exception of
- *     UID/PID/GID and SELinux label) must be understood as possibly slightly out of sync (i.e. sometimes slighly older
+ *     UID/PID/GID and SELinux label) must be understood as possibly slightly out of sync (i.e. sometimes slightly older
  *     and sometimes slightly newer than what was current at the log event).
  */
 
diff --git a/src/journal/lookup3.c b/src/journal/lookup3.c
index 6c61f17c7d..102d2fee18 100644
--- a/src/journal/lookup3.c
+++ b/src/journal/lookup3.c
@@ -811,7 +811,7 @@ void driver2()
     {
       for (j=0; j<8; ++j)   /*------------------------ for each input bit, */
       {
-        for (m=1; m<8; ++m) /*------------ for serveral possible initvals, */
+        for (m=1; m<8; ++m) /*------------- for several possible initvals, */
         {
           for (l=0; l<HASHSTATE; ++l)
             e[l]=f[l]=g[l]=h[l]=x[l]=y[l]=~((uint32_t)0);
diff --git a/src/libsystemd-network/test-ndisc-ra.c b/src/libsystemd-network/test-ndisc-ra.c
index 7dc44e5674..7c6c4663f3 100644
--- a/src/libsystemd-network/test-ndisc-ra.c
+++ b/src/libsystemd-network/test-ndisc-ra.c
@@ -60,7 +60,7 @@ static struct {
         unsigned char prefixlen;
         uint32_t valid;
         uint32_t preferred;
-        bool succesful;
+        bool successful;
 } prefix[] = {
         { { { { 0x20, 0x01, 0x0d, 0xb8, 0xde, 0xad, 0xbe, 0xef,
                 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } } }, 64,
@@ -329,7 +329,7 @@ static void test_ra(void) {
                 if (prefix[i].preferred)
                         assert_se(sd_radv_prefix_set_preferred_lifetime(p, prefix[i].preferred) >= 0);
 
-                assert_se((sd_radv_add_prefix(ra, p, false) >= 0) == prefix[i].succesful);
+                assert_se((sd_radv_add_prefix(ra, p, false) >= 0) == prefix[i].successful);
                 assert_se(sd_radv_add_prefix(ra, p, false) < 0);
 
                 p = sd_radv_prefix_unref(p);
diff --git a/src/libsystemd/sd-bus/GVARIANT-SERIALIZATION b/src/libsystemd/sd-bus/GVARIANT-SERIALIZATION
index 3110d57913..973a063761 100644
--- a/src/libsystemd/sd-bus/GVARIANT-SERIALIZATION
+++ b/src/libsystemd/sd-bus/GVARIANT-SERIALIZATION
@@ -55,7 +55,7 @@ Regarding the framing of dbus2, also see:
 https://wiki.gnome.org/Projects/GLib/GDBus/Version2
 
 The first four bytes of the header are defined the same way for dbus1
-and dbus2. The first bytes contain the endianess field and the
+and dbus2. The first bytes contain the endianness field and the
 protocol version, so that the remainder of the message can be safely
 made sense of just by looking at the first 32bit.
 
diff --git a/src/libsystemd/sd-bus/bus-control.c b/src/libsystemd/sd-bus/bus-control.c
index 5f2502076e..f817cf0a85 100644
--- a/src/libsystemd/sd-bus/bus-control.c
+++ b/src/libsystemd/sd-bus/bus-control.c
@@ -532,7 +532,7 @@ _public_ int sd_bus_get_name_creds(
                                 if (!sd_bus_error_has_name(&error, SD_BUS_ERROR_UNKNOWN_METHOD))
                                         return r;
 
-                                /* If we got an unknown method error, fall back to the invidual calls... */
+                                /* If we got an unknown method error, fall back to the individual calls... */
                                 need_separate_calls = true;
                                 sd_bus_error_free(&error);
 
diff --git a/src/libsystemd/sd-bus/bus-internal.c b/src/libsystemd/sd-bus/bus-internal.c
index dff39cb13f..d5f8c6db64 100644
--- a/src/libsystemd/sd-bus/bus-internal.c
+++ b/src/libsystemd/sd-bus/bus-internal.c
@@ -180,7 +180,7 @@ bool member_name_is_valid(const char *p) {
  * Complex pattern match
  * This checks whether @a is a 'complex-prefix' of @b, or @b is a
  * 'complex-prefix' of @a, based on strings that consist of labels with @c as
- * spearator. This function returns true if:
+ * separator. This function returns true if:
  *   - both strings are equal
  *   - either is a prefix of the other and ends with @c
  * The second rule makes sure that either string needs to be fully included in
diff --git a/src/libsystemd/sd-bus/bus-message.c b/src/libsystemd/sd-bus/bus-message.c
index 427d42f296..1759e13ca1 100644
--- a/src/libsystemd/sd-bus/bus-message.c
+++ b/src/libsystemd/sd-bus/bus-message.c
@@ -924,7 +924,7 @@ _public_ sd_bus_message* sd_bus_message_unref(sd_bus_message *m) {
 
         /* Unset the bus field if neither the user has a reference nor this message is queued. We are careful
          * to reset the field only after the last reference to the bus is dropped, after all we might keep
-         * multiple references to the bus, once for each reference kept on outselves. */
+         * multiple references to the bus, once for each reference kept on ourselves. */
         m->bus = NULL;
 
         return message_free(m);
diff --git a/src/libsystemd/sd-bus/sd-bus.c b/src/libsystemd/sd-bus/sd-bus.c
index 3df7c86b89..1c25ba9dea 100644
--- a/src/libsystemd/sd-bus/sd-bus.c
+++ b/src/libsystemd/sd-bus/sd-bus.c
@@ -465,9 +465,9 @@ static int synthesize_connected_signal(sd_bus *bus) {
 
         /* If enabled, synthesizes a local "Connected" signal mirroring the local "Disconnected" signal. This is called
          * whenever we fully established a connection, i.e. after the authorization phase, and after receiving the
-         * Hello() reply. Or in other words, whenver we enter BUS_RUNNING state.
+         * Hello() reply. Or in other words, whenever we enter BUS_RUNNING state.
          *
-         * This is useful so that clients can start doing stuff whenver the connection is fully established in a way
+         * This is useful so that clients can start doing stuff whenever the connection is fully established in a way
          * that works independently from whether we connected to a full bus or just a direct connection. */
 
         if (!bus->connected_signal)
@@ -1204,7 +1204,7 @@ _public_ int sd_bus_open_with_description(sd_bus **ret, const char *description)
         assert_return(ret, -EINVAL);
 
         /* Let's connect to the starter bus if it is set, and
-         * otherwise to the bus that is appropropriate for the scope
+         * otherwise to the bus that is appropriate for the scope
          * we are running in */
 
         e = secure_getenv("DBUS_STARTER_BUS_TYPE");
@@ -3869,7 +3869,7 @@ _public_ int sd_bus_path_decode_many(const char *path, const char *path_template
          *     For each matched label, the *decoded* label is stored in the
          *     passed output argument, and the caller is responsible to free
          *     it. Note that the output arguments are only modified if the
-         *     actualy path matched the template. Otherwise, they're left
+         *     actually path matched the template. Otherwise, they're left
          *     untouched.
          *
          * This function returns <0 on error, 0 if the path does not match the
diff --git a/src/libsystemd/sd-bus/test-bus-queue-ref-cycle.c b/src/libsystemd/sd-bus/test-bus-queue-ref-cycle.c
index f6506fb93f..17598f3d63 100644
--- a/src/libsystemd/sd-bus/test-bus-queue-ref-cycle.c
+++ b/src/libsystemd/sd-bus/test-bus-queue-ref-cycle.c
@@ -24,7 +24,7 @@ static int test_ref_unref(void) {
         m = sd_bus_message_unref(m);
         bus = sd_bus_unref(bus);
 
-        /* We should have a memory leak now on <= v240. Let's do this again, but destory in the opposite
+        /* We should have a memory leak now on <= v240. Let's do this again, but destroy in the opposite
          * order. On v240 that too should be a leak. */
 
         r = sd_bus_open_system(&bus);
diff --git a/src/libsystemd/sd-event/sd-event.c b/src/libsystemd/sd-event/sd-event.c
index 1987f279eb..50017a9517 100644
--- a/src/libsystemd/sd-event/sd-event.c
+++ b/src/libsystemd/sd-event/sd-event.c
@@ -3022,7 +3022,7 @@ static void event_close_inode_data_fds(sd_event *e) {
 
         /* Close the fds pointing to the inodes to watch now. We need to close them as they might otherwise pin
          * filesystems. But we can't close them right-away as we need them as long as the user still wants to make
-         * adjustments to the even source, such as changing the priority (which requires us to remove and readd a watch
+         * adjustments to the even source, such as changing the priority (which requires us to remove and re-add a watch
          * for the inode). Hence, let's close them when entering the first iteration after they were added, as a
          * compromise. */
 
diff --git a/src/libudev/libudev-monitor.c b/src/libudev/libudev-monitor.c
index 70036f5136..5f780e0be9 100644
--- a/src/libudev/libudev-monitor.c
+++ b/src/libudev/libudev-monitor.c
@@ -49,7 +49,7 @@ static MonitorNetlinkGroup monitor_netlink_group_from_string(const char *name) {
  * source. Valid sources identifiers are "udev" and "kernel".
  *
  * Applications should usually not connect directly to the
- * "kernel" events, because the devices might not be useable
+ * "kernel" events, because the devices might not be usable
  * at that time, before udev has configured them, and created
  * device nodes. Accessing devices at the same time as udev,
  * might result in unpredictable behavior. The "udev" events
diff --git a/src/login/logind-dbus.c b/src/login/logind-dbus.c
index 2cebcce123..be767186ff 100644
--- a/src/login/logind-dbus.c
+++ b/src/login/logind-dbus.c
@@ -830,7 +830,7 @@ static int method_create_session(sd_bus_message *message, void *userdata, sd_bus
                 } while (hashmap_get(m->sessions, id));
         }
 
-        /* If we are not watching utmp aleady, try again */
+        /* If we are not watching utmp already, try again */
         manager_reconnect_utmp(m);
 
         r = manager_add_user_by_uid(m, uid, &user);
diff --git a/src/login/logind-session-device.c b/src/login/logind-session-device.c
index 7c79a4afdc..3e2ff6d5b8 100644
--- a/src/login/logind-session-device.c
+++ b/src/login/logind-session-device.c
@@ -156,7 +156,7 @@ static int session_device_open(SessionDevice *sd, bool active) {
 
         case DEVICE_TYPE_UNKNOWN:
         default:
-                /* fallback for devices wihout synchronizations */
+                /* fallback for devices without synchronizations */
                 break;
         }
 
diff --git a/src/login/logind-user.c b/src/login/logind-user.c
index 045b6f0e17..a17efc19fb 100644
--- a/src/login/logind-user.c
+++ b/src/login/logind-user.c
@@ -371,7 +371,7 @@ int user_start(User *u) {
                 return 0;
 
         /* If u->stopping is set, the user is marked for removal and service stop-jobs are queued. We have to clear
-         * that flag before queing the start-jobs again. If they succeed, the user object can be re-used just fine
+         * that flag before queueing the start-jobs again. If they succeed, the user object can be re-used just fine
          * (pid1 takes care of job-ordering and proper restart), but if they fail, we want to force another user_stop()
          * so possibly pending units are stopped. */
         u->stopping = false;
diff --git a/src/login/pam_systemd.c b/src/login/pam_systemd.c
index 2bf3b7987e..a26895e695 100644
--- a/src/login/pam_systemd.c
+++ b/src/login/pam_systemd.c
@@ -327,7 +327,7 @@ static const char* getenv_harder(pam_handle_t *handle, const char *key, const ch
         assert(handle);
         assert(key);
 
-        /* Looks for an environment variable, preferrably in the environment block associated with the
+        /* Looks for an environment variable, preferably in the environment block associated with the
          * specified PAM handle, falling back to the process' block instead. Why check both? Because we want
          * to permit configuration of session properties from unit files that invoke PAM services, so that
          * PAM services don't have to be reworked to set systemd-specific properties, but these properties
diff --git a/src/network/netdev/bridge.c b/src/network/netdev/bridge.c
index aadb3ab905..cbbf11220b 100644
--- a/src/network/netdev/bridge.c
+++ b/src/network/netdev/bridge.c
@@ -8,7 +8,7 @@
 #include "networkd-manager.h"
 #include "vlan-util.h"
 
-/* callback for brige netdev's parameter set */
+/* callback for bridge netdev's parameter set */
 static int netdev_bridge_set_handler(sd_netlink *rtnl, sd_netlink_message *m, NetDev *netdev) {
         int r;
 
diff --git a/src/network/networkd-dhcp4.c b/src/network/networkd-dhcp4.c
index 85685d6df7..9ea49b09de 100644
--- a/src/network/networkd-dhcp4.c
+++ b/src/network/networkd-dhcp4.c
@@ -471,7 +471,7 @@ static int dhcp_lease_acquired(sd_dhcp_client *client, Link *link) {
                         if (r < 0)
                                 log_link_warning_errno(link, r, "Unable to shorten overlong DHCP hostname '%s', ignoring: %m", dhcpname);
                         if (r == 1)
-                                log_link_notice(link, "Overlong DCHP hostname received, shortened from '%s' to '%s'", dhcpname, hostname);
+                                log_link_notice(link, "Overlong DHCP hostname received, shortened from '%s' to '%s'", dhcpname, hostname);
                 }
 
                 if (hostname) {
diff --git a/src/network/networkd-link.c b/src/network/networkd-link.c
index 08f4284ebe..aecf65ec04 100644
--- a/src/network/networkd-link.c
+++ b/src/network/networkd-link.c
@@ -3840,7 +3840,7 @@ int link_update(Link *link, sd_netlink_message *m) {
         assert(m);
 
         if (link->state == LINK_STATE_LINGER) {
-                log_link_info(link, "Link readded");
+                log_link_info(link, "Link re-added");
                 link_set_state(link, LINK_STATE_CONFIGURING);
 
                 r = link_new_carrier_maps(link);
